#include "mtd.h"

int main(int argc,char *argv[]) {
  MTDFILE *f;
  char tmp[256];
  int i,block;

  if (argc < 3) {
    printf("Usage: mtdbad part# block#\n");
    return 0;
  }
  block = atoi(argv[2]);
  sprintf(tmp,"/dev/mtd/%d",atoi(argv[1]));
  f = MTDopen(tmp);
  if (f == NULL) {
    printf("MTDopen(%s) failed: %m\n",tmp);
    return 0;
  }
  MTDinvalidateBlock(f,block);
}
