#include <stdio.h>
#include "mtd.h"


int main(int argc,char *argv[]) {
  MTDFILE *f;  
  int i,j;
  int start,n;
  char tmp[256];

  if (argc < 4) {
    printf("usage: mtdoob part# block# sectors\n");
    return 1;
  }
  sprintf(tmp,"/dev/mtd/%d",atoi(argv[1]));
  start = atoi(argv[2]);
  n = atoi(argv[3]);
  f = MTDopen(tmp);
  if (f == NULL) {
    printf("MTDopen(%s) failed: %m\n",tmp);
    return 1;
  }
  for (i=0;i<n;i++) {
    if (!MTDreadOOB(f,start,i,tmp)) {
      printf("MTDreadOOB failed: %m\n");
      return 1;
    }
    printf("%03d:",i);
    for (j=0;j<8;j++) {
      printf("%02X ",tmp[j]);
    }
    printf("\n");
  }

}
