#include "mtd.h"


int main(int argc,char *argv[]) {
  MTDFILE *f;
  char tmp[256];
  int i,j;

  if (argc < 2) {
    printf("Usage: mtderase part#\n");
    return 0;
  }
  sprintf(tmp,"/dev/mtd/%d",atoi(argv[1]));
  f = MTDopen(tmp);
  if (f == NULL) {
    printf("MTDopen(%s) failed: %m\n",tmp);
    return 0;
  }
  j = f->info.size / f->info.erasesize;
  printf("Erasing %d blocks\n",j);
  for (i=0;i<j;i++) {
    if (MTDeraseBlock(f,i) == 0) {
      printf("Error at block %d (%m)\n",i);
	//      return 1;
    }
  }
  return 0;
}
